Maton

Trello

Access the Trello API with managed OAuth authentication. Manage boards, lists, cards, checklists, labels, and members for project and task management.

Reference

Get Current Member

GET /trello/1/members/me
maton trello whoami

Get a Member

GET /trello/1/members/{id}
maton trello member view me
maton trello member view 5f1a2b3c4d5e6f7a8b9c0d1e

Get Member's Boards

GET /trello/1/members/me/boards
maton trello board list --filter all

Query parameters:

  • filter - Filter boards: all, open, closed, members, organization, starred
  • fields - Comma-separated fields to include

Get Board

GET /trello/1/boards/{id}
maton trello board view BOARD_ID --lists open --cards open

Query parameters:

  • fields - Comma-separated fields
  • lists - Include lists: all, open, closed, none
  • cards - Include cards: all, open, closed, none
  • members - Include members: all, none

Create Board

POST /trello/1/boards
Content-Type: application/json

{
  "name": "Project Alpha",
  "desc": "Main project board",
  "defaultLists": false,
  "prefs_permissionLevel": "private"
}
maton trello board create --name 'Project Alpha' --desc 'Main project board' --permission private

Update Board

PUT /trello/1/boards/{id}
Content-Type: application/json

{
  "name": "Project Alpha - Updated",
  "desc": "Updated description"
}
maton trello board update BOARD_ID --name 'Project Alpha - Updated' --desc 'Updated description'

Delete Board

DELETE /trello/1/boards/{id}
maton trello board delete BOARD_ID

Get Board Lists

GET /trello/1/boards/{id}/lists
maton trello list list --board BOARD_ID --filter open

Query parameters:

  • filter - Filter: all, open, closed, none

Get Board Cards

GET /trello/1/boards/{id}/cards
maton trello card list --board BOARD_ID

Get Board Members

GET /trello/1/boards/{id}/members
maton trello member list --board BOARD_ID

Get List

GET /trello/1/lists/{id}
maton trello list view LIST_ID

Create List

POST /trello/1/lists
Content-Type: application/json

{
  "name": "To Do",
  "idBoard": "BOARD_ID",
  "pos": "top"
}
maton trello list create --board BOARD_ID --name 'To Do' --pos top

Update List

PUT /trello/1/lists/{id}
Content-Type: application/json

{
  "name": "In Progress"
}
maton trello list update LIST_ID --name 'In Progress'

Archive List

PUT /trello/1/lists/{id}/closed
Content-Type: application/json

{
  "value": true
}
maton trello list update LIST_ID --closed

Get Cards in List

GET /trello/1/lists/{id}/cards
maton trello card list --list LIST_ID

Move All Cards in List

POST /trello/1/lists/{id}/moveAllCards
Content-Type: application/json

{
  "idBoard": "BOARD_ID",
  "idList": "TARGET_LIST_ID"
}
maton trello card move --from-list LIST_ID --to-list TARGET_LIST_ID --to-board BOARD_ID

Get Card

GET /trello/1/cards/{id}
maton trello card view CARD_ID --members --checklists all

Query parameters:

  • fields - Comma-separated fields
  • members - Include members (true/false)
  • checklists - Include checklists: all, none
  • attachments - Include attachments (true/false)

Create Card

POST /trello/1/cards
Content-Type: application/json

{
  "name": "Implement feature X",
  "desc": "Description of the task",
  "idList": "LIST_ID",
  "pos": "bottom",
  "due": "2025-03-30T12:00:00.000Z",
  "idMembers": ["MEMBER_ID"],
  "idLabels": ["LABEL_ID"]
}
maton trello card create --list LIST_ID --name 'Implement feature X' --desc 'Description of the task' --due 2025-03-30T12:00:00.000Z --member-ids MEMBER_ID --label-ids LABEL_ID

Update Card

PUT /trello/1/cards/{id}
Content-Type: application/json

{
  "name": "Updated card name",
  "desc": "Updated description",
  "due": "2025-04-15T12:00:00.000Z"
}
maton trello card update CARD_ID --name 'Updated card name' --desc 'Updated description' --due 2025-04-15T12:00:00.000Z

Move Card to List

PUT /trello/1/cards/{id}
Content-Type: application/json

{
  "idList": "NEW_LIST_ID"
}
maton trello card update CARD_ID --list NEW_LIST_ID

Archive Card

maton trello card update CARD_ID --closed

Delete Card

DELETE /trello/1/cards/{id}
maton trello card delete CARD_ID

Add Comment to Card

POST /trello/1/cards/{id}/actions/comments
Content-Type: application/json

{
  "text": "This is a comment"
}
maton trello card comment CARD_ID --text 'This is a comment'

Add Member to Card

POST /trello/1/cards/{id}/idMembers
Content-Type: application/json

{
  "value": "MEMBER_ID"
}
maton trello card assign CARD_ID --member MEMBER_ID

Remove Member from Card

DELETE /trello/1/cards/{id}/idMembers/{idMember}
maton trello card unassign CARD_ID --member MEMBER_ID

Add Label to Card

POST /trello/1/cards/{id}/idLabels
Content-Type: application/json

{
  "value": "LABEL_ID"
}
maton trello card label CARD_ID --label LABEL_ID

Get Checklist

GET /trello/1/checklists/{id}
maton trello checklist view CHECKLIST_ID

Create Checklist

POST /trello/1/checklists
Content-Type: application/json

{
  "idCard": "CARD_ID",
  "name": "Task Checklist"
}
maton trello checklist create --card CARD_ID --name 'Task Checklist'

Create Checklist Item

POST /trello/1/checklists/{id}/checkItems
Content-Type: application/json

{
  "name": "Subtask 1",
  "pos": "bottom"
}
maton trello checkitem create --checklist CHECKLIST_ID --name 'Subtask 1' --pos bottom

Update Checklist Item

PUT /trello/1/cards/{cardId}/checkItem/{checkItemId}
Content-Type: application/json

{
  "state": "complete"
}
maton trello checkitem update CHECKITEM_ID --card CARD_ID --state complete

Delete Checklist

DELETE /trello/1/checklists/{id}
maton trello checklist delete CHECKLIST_ID

Get Board Labels

GET /trello/1/boards/{id}/labels
maton trello label list --board BOARD_ID

Create Label

POST /trello/1/labels
Content-Type: application/json

{
  "name": "High Priority",
  "color": "red",
  "idBoard": "BOARD_ID"
}
maton trello label create --board BOARD_ID --name 'High Priority' --color red

Colors: yellow, purple, blue, red, green, orange, black, sky, pink, lime, null (no color)

Update Label

PUT /trello/1/labels/{id}
Content-Type: application/json

{
  "name": "Critical",
  "color": "red"
}
maton trello label update LABEL_ID --name Critical --color red

Delete Label

DELETE /trello/1/labels/{id}
maton trello label delete LABEL_ID

Search All

GET /trello/1/search?query=keyword&modelTypes=cards,boards
maton trello search --query keyword --models cards,boards

Query parameters:

  • query - Search query (required)
  • modelTypes - Comma-separated: actions, boards, cards, members, organizations
  • board_fields - Fields to return for boards
  • card_fields - Fields to return for cards
  • cards_limit - Max cards to return (1-1000)

Resources

On this page